
// This example connects the Arduino to the ArduHAL on the PC
// With ArduHAL you can configure the Arduino board Pins
// as Digital-IN and Digital-OUT, Pwm, Servo, Adc or Generic.
// Then the in-out data are exchanged with the "Slots"
// and finally with the Theremino System applications.

#include <Theremino.h>

void setup() 
{  
    // ----------------------------------------------------------------
    //  This baud rate must be the same as in the ArduHAL CommOptions
    //  Any baud rate from 1000 to 1000000 is valid
    //  More used baud rates are : 500000 250000 115200
    // ----------------------------------------------------------------
    Serial.begin(500000);
}


void loop() 
{  
    //  ----------------------------------
    //  Generic Read and Write examples
    //  ----------------------------------   
    //  uint32_t n;
    //  n = Theremino.genericRead8(A2);
    //  Theremino.genericWrite8(A3, n);
    //
    //  n = Theremino.genericRead16(A4);
    //  Theremino.genericWrite16(A5, n);
    //
    //  n = Theremino.genericRead24(A6);
    //  Theremino.genericWrite24(A7, n);
    
    //  ---------------------------------------------------------------
    //  Delay example 
    //  a single 10 mS delay decreases drammatically the exchange rate
    //  ---------------------------------------------------------------
    //  delay(10);
}

